#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: control-monad-free
version: 0.6.1
id: control-monad-free-0.6.1-6sHLlBhFKrC1QUKEf8Gbv7
key: control-monad-free-0.6.1-6sHLlBhFKrC1QUKEf8Gbv7
license: PublicDomain
maintainer: pepeiborra@gmail.com
stability: experimental
homepage: http://github.com/pepeiborra/control-monad-free
synopsis: Free monads and monad transformers
description:
    This package provides datatypes to construct Free monads,
    Free monad transformers, and useful instances. In addition it
    provides the constructs to avoid quadratic complexity of left
    associative bind, as explained in:
    .
    * Janis Voigtlander, /Asymptotic Improvement of Computations over Free Monads, MPC'\''08/
category: Control, Monads
author: Luke Palmer, Pepe Iborra
exposed: True
exposed-modules:
    Control.Monad.Free Control.Monad.Free.Zip
    Control.Monad.Free.Improve
abi: f1f5571b8d18b976f005feca520e14ad
trusted: False
import-dirs: /usr/lib/ghc-8.0.2/site-local/control-monad-free-0.6.1
library-dirs: /usr/lib/ghc-8.0.2/site-local/control-monad-free-0.6.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/i386-linux-ghc-8.0.2/control-monad-free-0.6.1
hs-libraries: HScontrol-monad-free-0.6.1-6sHLlBhFKrC1QUKEf8Gbv7
depends:
    base-4.9.1.0 prelude-extras-0.4.0.3-BhL9U5k7NtGJn1itwIHt2Y
    transformers-0.5.2.0
haddock-interfaces: /usr/share/doc/haskell-control-monad-free/html/control-monad-free.haddock
haddock-html: /usr/share/doc/haskell-control-monad-free/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"
